/// <reference types="node" />
import fs from 'fs';
import { standards } from './standards';
export interface Options {
    standard?: string;
    customStandard?: typeof fs.unlink;
    maxBusyTries?: number;
    disableGlob?: boolean;
}
export interface ParsedOptions {
    standard: keyof typeof standards;
    customStandard?: typeof fs.unlink;
    maxBusyTries?: number;
    disableGlob?: boolean;
}
export declare type Callback = (err: NodeJS.ErrnoException | null, path: string) => void;
export declare function unlink(path: string): Promise<string>;
export declare function unlink(path: string, options: Options): Promise<string>;
export declare function unlink(path: string, callback: Callback): void;
export declare function unlink(path: string, options: Options, callback: Callback): void;
