/// <reference types="node" />
import { eventEmitter } from './write';
declare type Callback = (err: NodeJS.ErrnoException | null) => void;
interface ArgsUnlinkStandard {
    name?: string;
    passes?: number;
    description?: string;
    method: (file: string, callback: Callback) => void;
}
declare class UnlinkStandard {
    readonly name: string;
    readonly passes: number;
    readonly description: string;
    readonly method: any;
    constructor({ name, passes, description, method }: ArgsUnlinkStandard);
}
declare const standards: {
    'randomData': UnlinkStandard;
    'randomByte': UnlinkStandard;
    'zeroes': UnlinkStandard;
    'ones': UnlinkStandard;
    'secure': UnlinkStandard;
    'GOST_R50739-95': UnlinkStandard;
    'HMG_IS5': UnlinkStandard;
    'AR380-19': UnlinkStandard;
    'VSITR': UnlinkStandard;
    'schneier': UnlinkStandard;
    'pfitzner': UnlinkStandard;
    'gutmann': UnlinkStandard;
};
declare const validIDs: "randomData" | "randomByte" | "zeroes" | "ones" | "secure" | "GOST_R50739-95" | "HMG_IS5" | "AR380-19" | "VSITR" | "schneier" | "pfitzner" | "gutmann";
export { standards, eventEmitter, validIDs, UnlinkStandard };
