/// <reference types="node" />
import events from 'events';
declare const eventEmitter: events.EventEmitter;
interface FileInfo {
    file: string;
    fileSize: number;
}
interface ForInterface {
    start: number;
    end: number;
    increment: number;
}
declare const write: {
    init: (file: string) => Promise<FileInfo>;
    random: (file: string, fileSize: number, passes?: number) => Promise<FileInfo>;
    zeroes: (file: string, fileSize: number, passes?: number) => Promise<FileInfo>;
    ones: (file: string, fileSize: number, passes?: number) => Promise<FileInfo>;
    byte: (file: string, data: number, fileSize: number, passes?: number) => Promise<FileInfo>;
    bytes: (file: string, dataArray: number[], fileSize: number, passes?: number) => Promise<FileInfo>;
    cycleBytes: (file: string, dataArray: number[], fileSize: number, passes?: number) => Promise<FileInfo>;
    incrementByte: (file: string, { start, end, increment }: ForInterface, fileSize: number) => Promise<FileInfo>;
    randomByte: (file: string, fileSize: number, passes?: number) => Promise<FileInfo>;
    complementary: (file: string, fileSize: number) => Promise<FileInfo>;
    rename: (file: string, fileSize: number) => Promise<FileInfo>;
    truncate: (file: string, fileSize: number) => Promise<FileInfo>;
    unlink: (file: string) => Promise<void>;
};
export { write, eventEmitter };
